<div class="container-fluid">
  <div class="row">
    <div class="col-md-10 offset-1">
      <div class="signin-header padding-20">
        <h2 class="movie-heading-color margin-bottom-20">Login to your account</h2>
        <div class="header-description">
          <p class="description-color">In order to use the editing and rating capabilities of TMDb, as well as get
            personal recommendations you will need to login to your account. If you do not have an account, registering
            for an account is free and simple.<a href=""> Click here</a> to get started.</p>

          <p class="description-color">If you signed up but didn't get your verification email, <a href=""> click
              here</a> to have it resent.</p>

          <form class="signinForm" [formGroup]="siginForm">
            <div class="row no-margin margin-bottom-10">
              <label class="description-color" for="user_name">User Name</label>
              <input class="col-12 input-style" type="text" name="user_name" id="user_name" formControlName="user_name"
                placeholder="User Name" (change)=checkUser(siginForm.controls.user_name.value)>
              <div *ngIf="siginForm.controls.user_name.invalid && (siginForm.controls.user_name.dirty || siginForm.controls.user_name.touched)">
                <div class="danger" *ngIf="siginForm.controls.user_name.errors.required">
                  User name is required.
                </div>
              </div>
            </div>
            <div class="row no-margin margin-bottom-10">
              <label class="description-color" for="password">Password</label>
              <input class="col-12 input-style" type="password" name="password" id="password" formControlName="password"
                placeholder="Password">
              <div class="danger" *ngIf="siginForm.controls.password.invalid && (siginForm.controls.password.dirty || siginForm.controls.password.touched)">
                <div *ngIf="siginForm.controls.password.errors.required">
                  Password is required.
                </div>
              </div>
            </div>
          </form>
          <div class="submit-area">
            <div class="row no-margin">
              <button class="btn btn-success" (click)="login(siginForm.value)">Sign In</button>
              <button class="btn btn-success" style="margin-left:10px;">Reset Password</button>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>